Loading...
Searching...
No Matches
single-complex precision
Sparse LA » Sparse preconditioners » Symmetric/Hermitian preconditioner

## Functions

magma_int_t | magma_ccumiccsetup (magma_c_matrix A, magma_c_preconditioner *precond, magma_queue_t queue)
| Prepares the IC preconditioner via cuSPARSE.
magma_int_t | magma_ccumicgeneratesolverinfo (magma_c_preconditioner *precond, magma_queue_t queue)
| Prepares the IC preconditioner solverinfo via cuSPARSE for a triangular matrix present on the device in precond->M.
magma_int_t | magma_capplycumicc_l (magma_c_matrix b, magma_c_matrix *x, magma_c_preconditioner *precond, magma_queue_t queue)
| Performs the left triangular solves using the ICC preconditioner.
magma_int_t | magma_capplycumicc_r (magma_c_matrix b, magma_c_matrix *x, magma_c_preconditioner *precond, magma_queue_t queue)
| Performs the right triangular solves using the ICC preconditioner.
magma_int_t | magma_cpariluupdate (magma_c_matrix A, magma_c_preconditioner *precond, magma_int_t updates, magma_queue_t queue)
| Updates an existing preconditioner via additional iterative ILU sweeps for previous factorization initial guess (PFIG).
magma_int_t | magma_cparicsetup (magma_c_matrix A, magma_c_matrix b, magma_c_preconditioner *precond, magma_queue_t queue)
| Prepares the IC preconditioner via the iterative IC iteration.
magma_int_t | magma_cparicupdate (magma_c_matrix A, magma_c_preconditioner *precond, magma_int_t updates, magma_queue_t queue)
| Updates an existing preconditioner via additional iterative IC sweeps for previous factorization initial guess (PFIG).

## Detailed Description

## Function Documentation

## magma_ccumiccsetup()

magma_int_t magma_ccumiccsetup | ( | magma_c_matrix | A,
|  | magma_c_preconditioner * | precond,
|  | magma_queue_t | queue )

Prepares the IC preconditioner via cuSPARSE.

Parameters

  [in] | A | magma_c_matrix input matrix A
  [in,out] | precond | magma_c_preconditioner* preconditioner parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_ccumicgeneratesolverinfo()

magma_int_t magma_ccumicgeneratesolverinfo | ( | magma_c_preconditioner * | precond,
|  | magma_queue_t | queue )

Prepares the IC preconditioner solverinfo via cuSPARSE for a triangular matrix present on the device in precond->M.

Parameters

  [in,out] | precond | magma_c_preconditioner* preconditioner parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_capplycumicc_l()

magma_int_t magma_capplycumicc_l | ( | magma_c_matrix | b,
|  | magma_c_matrix * | x,
|  | magma_c_preconditioner * | precond,
|  | magma_queue_t | queue )

Performs the left triangular solves using the ICC preconditioner.

Parameters

  [in] | b | magma_c_matrix RHS
  [in,out] | x | magma_c_matrix* vector to precondition
  [in,out] | precond | magma_c_preconditioner* preconditioner parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_capplycumicc_r()

magma_int_t magma_capplycumicc_r | ( | magma_c_matrix | b,
|  | magma_c_matrix * | x,
|  | magma_c_preconditioner * | precond,
|  | magma_queue_t | queue )

Performs the right triangular solves using the ICC preconditioner.

Parameters

  [in] | b | magma_c_matrix RHS
  [in,out] | x | magma_c_matrix* vector to precondition
  [in,out] | precond | magma_c_preconditioner* preconditioner parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_cpariluupdate()

magma_int_t magma_cpariluupdate | ( | magma_c_matrix | A,
|  | magma_c_preconditioner * | precond,
|  | magma_int_t | updates,
|  | magma_queue_t | queue )

Updates an existing preconditioner via additional iterative ILU sweeps for previous factorization initial guess (PFIG).

See Anzt et al., Parallel Computing, 2015.

Parameters

  [in] | A | magma_c_matrix input matrix A, current target system
  [in] | precond | magma_c_preconditioner* preconditioner parameters
  [in] | updates | magma_int_t number of updates
  [in] | queue | magma_queue_t Queue to execute in.

## magma_cparicsetup()

magma_int_t magma_cparicsetup | ( | magma_c_matrix | A,
|  | magma_c_matrix | b,
|  | magma_c_preconditioner * | precond,
|  | magma_queue_t | queue )

Prepares the IC preconditioner via the iterative IC iteration.

Parameters

  [in] | A | magma_c_matrix input matrix A
  [in] | b | magma_c_matrix input RHS b
  [in,out] | precond | magma_c_preconditioner* preconditioner parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_cparicupdate()

magma_int_t magma_cparicupdate | ( | magma_c_matrix | A,
|  | magma_c_preconditioner * | precond,
|  | magma_int_t | updates,
|  | magma_queue_t | queue )

Updates an existing preconditioner via additional iterative IC sweeps for previous factorization initial guess (PFIG).

See Anzt et al., Parallel Computing, 2015.

Parameters

  [in] | A | magma_c_matrix input matrix A, current target system
  [in] | precond | magma_c_preconditioner* preconditioner parameters
  [in] | updates | magma_int_t number of updates
  [in] | queue | magma_queue_t Queue to execute in.